## org.jboss.ejb.plugins.jaws.metadata
Class PkFieldMetaData

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.metadata.PkFieldMetaData

public class PkFieldMetaData
extends java.lang.Object

This is a wrapper class that holds all the information JawsPersistenceManager commands need about a primary key field. This class was org.jboss.ejb.plugins.PkFieldInfo

Version:
  $Revision: 1.2 $
Author:
  Justin Forder, Sebastien Alborini
See Also:
  <related>

Constructor Summary
`PkFieldMetaData(CMPFieldMetaData cmpField, JawsEntityMetaData jawsEntity)`
`PkFieldMetaData(java.lang.reflect.Field pkField, CMPFieldMetaData cmpField, JawsEntityMetaData jawsEntity)`

Method Summary
`java.lang.reflect.Field` `getCMPField()`
`java.lang.String` `getColumnName()`
`JawsEntityMetaData` `getJawsEntity()`
`int` `getJDBCType()`
`java.lang.String` `getName()`
`java.lang.reflect.Field` `getPkField()`
`java.lang.String` `getSQLType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PkFieldMetaData

    public PkFieldMetaData(java.lang.reflect.Field pkField,
                           CMPFieldMetaData cmpField,
                           JawsEntityMetaData jawsEntity)

### PkFieldMetaData

    public PkFieldMetaData(CMPFieldMetaData cmpField,
                           JawsEntityMetaData jawsEntity)

Method Detail

### getName

    public final java.lang.String getName()

### getPkField

    public final java.lang.reflect.Field getPkField()

### getCMPField

    public final java.lang.reflect.Field getCMPField()

### getJDBCType

    public final int getJDBCType()

### getSQLType

    public final java.lang.String getSQLType()

### getColumnName

    public final java.lang.String getColumnName()

### getJawsEntity

    public JawsEntityMetaData getJawsEntity()

Copyright © 2000 The JBoss Organization. All Rights Reserved.